Summary: Creates an initial ramdisk image for preloading modules including Tux On Ice support.
Name: mkinitrd-tuxonice
Version: 6.0.87
Release: 4.cubbi1
License: GPL
Group: System Environment/Base
Packager: Matthias Hensler <matthias@wspse.de>
Source: mkinitrd-%{version}.tar.bz2
Patch0: mkinitrd-rh506189.patch
Patch1: 0001-mkinitrd-move-hotplug-run-to-before-gpu-driver-probi.patch
ExclusiveOs: Linux
Prereq: dev
Requires: /bin/sh, /sbin/insmod.static, /sbin/losetup
Requires: fileutils, grep, mount, gzip, tar, mktemp >= 1.5-5, findutils, lvm2
Requires: filesystem >= 2.1.0, cpio, device-mapper, initscripts >= 8.22-1
Requires: e2fsprogs >= 1.38-12, glib2, libselinux, libsepol, coreutils
Requires: mdadm
BuildRequires: popt
%ifnarch s390 s390x
Requires: dmraid
%endif
%ifarch ppc
Requires: ppc64-utils >= 0.3-1
%endif
Requires: nash >= ${version}
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Obsoletes: swsusp2-mkinitrd compat-swsusp2-mkinitrd mkinitrd-suspend2
Provides: mkinitrd-suspend2 = %{version}

Requires: mkinitrd >= 6.0.87

Patch1000: mkinitrd-tuxonice-new-kernel-pkg.patch
Patch1001: mkinitrd-tuxonice-mkinitrd.patch

%description
This package includes modified versions of mkinitrd and new-kernel-pkg
tools for software suspend 2 and tuxonice kernels provided by
http://mhensler.de/swsusp/

%prep
%setup -c %{name}-%{version}
pushd mkinitrd-%{version}
%patch0 -p1
%patch1 -p1
patch -p0 grubby/new-kernel-pkg < %{PATCH1000}
%patch1001 -p0
popd

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
pushd mkinitrd-%{version}
mkdir -p $RPM_BUILD_ROOT/sbin
install mkinitrd $RPM_BUILD_ROOT/sbin/mkinitrd-tuxonice
install grubby/new-kernel-pkg $RPM_BUILD_ROOT/sbin/new-kernel-pkg-tuxonice
popd
pushd $RPM_BUILD_ROOT/sbin
ln -s new-kernel-pkg-tuxonice new-kernel-pkg-suspend2
ln -s mkinitrd-tuxonice mkinitrd-suspend2
popd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkinitrd-tuxonice
%attr(755,root,root) /sbin/new-kernel-pkg-tuxonice
%attr(755,root,root) /sbin/mkinitrd-suspend2
%attr(755,root,root) /sbin/new-kernel-pkg-suspend2

%changelog
* Wed Sep 30 2009 Matthias Hensler <matthias@wspse.de> - 6.0.87-4.cubbi1
- added current Fedora patches to fix #506189 and #520730.

* Tue Jul 14 2009 Matthias Hensler <matthias@wspse.de> - 6.0.87-1.cubbi1
- update to 6.0.87, fixing #501033 and #502221.

* Mon Jun 08 2009 Matthias Hensler <matthias@wspse.de> - 6.0.86-2.cubbi1
- update to Fedora 11 version of mkinitrd

* Fri Mar 13 2009 Matthias Hensler <matthias@wspse.de> - 6.0.71-4.cubbi1
- Added patches from upstream:
  - Do not call dm_resolve_name on dmraidsets names, sometimes it fails, and
    it is not necessary, this fixes the dmraid boot failure seen on
    some systems (#476818)
  - Fix finding / by UUID or LABEL not working with newer kernels (#480667)
  - Fix mkinitrd not supporting relatime fstab option for / (#296361)

* Thu Dec 25 2008 Matthias Hensler <matthias@wspse.de> - 6.0.71-3.cubbi1
- Added patch from upstream:
  Use scsi_wait_scan on scsi devices instead of stabilized (#470628)

* Sun Nov 24 2008 Matthias Hensler <matthias@wspse.de> - 6.0.71-2.cubbi1
- update to final Fedora 10 version of mkinitrd

* Sun Nov 09 2008 Matthias Hensler <matthias@wspse.de> - 6.0.70-1.cubbi1
- update to Fedora 10 version of mkinitrd

* Wed May 14 2008 Matthias Hensler <matthias@wspse.de> - 6.0.52-2.cubbi2
- /dev/fb0 needs to be created from init in order to get fbsplash to work

* Sun May 11 2008 Matthias Hensler <matthias@wspse.de> - 6.0.52-2.cubbi1
- update to final FC9 version
- Final rebuild for Fedora 9 Sulphur

* Tue Apr 22 2008 Matthias Hensler <matthias@wspse.de> - 6.0.49-1.cubbi2
- bugfix for wrong creation of /dev/fb0

* Sun Apr 20 2008 Matthias Hensler <matthias@wspse.de> - 6.0.49-1.cubbi1
- import recent bugfixes

* Sun Apr 06 2008 Matthias Hensler <matthias@wspse.de> - 6.0.41-1.cubbi1
- update to FC9 version of mkinitrd

* Tue Nov 07 2007 Matthias Hensler <matthias@wspse.de> - 6.0.19-4.cubbi1
- update to FC8 version of mkinitrd

* Tue Oct 09 2007 Matthias Hensler <matthias@wspse.de> - 6.0.19-1.cubbi2
- added sanitycheck if splashtheme is not available

* Tue Oct 09 2007 Matthias Hensler <matthias@wspse.de> - 6.0.19-1.cubbi1
- update to recent Fedora development RPM

* Fri Aug 10 2007 Matthias Hensler <matthias@wspse.de> - 6.0.9-7.1.cubbi3
- small bugfix: removed double parsing of old suspend2-options from
  new-kernel-pkg-tuxonice
- small bugfix: use UIPREFIX for existence check of fbsplash
- dropped --early-splash from new-kernel-pkg-tuxonice

* Thu Jul 26 2007 Matthias Hensler <matthias@wspse.de> - 6.0.9-7.1.cubbi2
- fixes new API for tuxonice 2.2.10.3 (suspend2 -> tuxonice)
- rename to tuxonice

* Sat Jul 07 2007 Matthias Hensler <matthias@wspse.de> - 6.0.9-7.1.cubbi1
- fixes new API for suspend 2.2.10.2 (resume2 -> resume)

* Thu May 31 2007 Matthias Hensler <matthias@wspse.de> - 6.0.9-5.cubbi1
- update to FC7 version of mkinitrd

* Sat May 19 2007 Matthias Hensler <matthias@wspse.de> - 6.0.9-1.cubbi1
- update to FC7t4 version of mkinitrd
- finally obsolete compat-swsusp-mkinitrd
- added dependency for nash
- do not include full /etc/splash directory, but only one theme from it
  (defaults to "suspend2", can be changed with --splash parameter)
- if exists include /sbin/splash_helper to allow usage of gensplash
  utilities, proposed by Eric Moret <eric.moret@gmail.com>

* Sun Jan 21 2007 Matthias Hensler <matthias@wspse.de> - 6.0.6-1.cubbi1
- update to recent Fedora development RPM

* Fri Oct 20 2006 Matthias Hensler <matthias@wspse.de> - 5.1.19-1.cubbi2
- rebuild for Fedora Core 6 final

* Sat Oct 14 2006 Matthias Hensler <matthias@wspse.de> - 5.1.19-1.cubbi1
- update to recent Fedora development RPM

* Fri Sep 22 2006 Matthias Hensler <matthias@wspse.de> - 5.1.17-1.cubbi1
- update to recent Fedora development RPM

* Tue Sep 19 2006 Matthias Hensler <matthias@wspse.de> - 5.1.15-1.cubbi1
- update to recent Fedora development RPM

* Mon Jul 24 2006 Matthias Hensler <matthias@wspse.de> - 5.0.45-2.cubbi1
- added support for Suspend 2 newer than 2.2.7.3 (use /sys instead of /proc)
- added support for modular hibernate script (search FilewriteLocation in
  /etc/hibernate/suspend2.conf)
- added support for new DSDT patch (includes /boot/DSDT.aml if exists, or
  the file specified by --dsdt-location)

* Sat Jun 24 2006 Matthias Hensler <matthias@wspse.de> - 5.0.45-1.cubbi1
- update to recent Fedora development RPM

* Fri May 19 2006 Matthias Hensler <matthias@wspse.de> - 5.0.40-1.cubbi1
- update to recent Fedora development RPM

* Thu May 11 2006 Matthias Hensler <matthias@wspse.de> - 5.0.39-1.cubbi1
- update to recent Fedora development RPM

* Fri Apr 28 2006 Matthias Hensler <matthias@wspse.de> - 5.0.36-1.cubbi1
- update to recent Fedora development RPM

* Tue Apr 11 2006 Matthias Hensler <matthias@wspse.de> - 5.0.34-1.cubbi1
- update to recent Fedora development RPM

* Sat Apr 01 2006 Matthias Hensler <matthias@wspse.de> - 5.0.33-1.cubbi1
- update to recent Fedora development RPM

* Wed Mar 22 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-2.cubbi1
- fixed warning on empty resume2-parameter
- handle swapspace if specified with LABEL= in /etc/fstab
  the label will be resolved when creating the initrd, as we cannot
  rely on special nash-support for Suspend 2 like swsusp has

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi3
- build for Fedora Core 5 final

* Fri Mar 17 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi2
- fixed default procdirectory if Suspend 2 version was not specified

* Tue Mar 14 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi1
- update to recent Fedora development RPM

* Sat Mar 11 2006 Matthias Hensler <matthias@wspse.de> - 5.0.31-1.cubbi1
- update to recent Fedora development RPM

* Thu Mar 09 2006 Matthias Hensler <matthias@wspse.de> - 5.0.30-1.cubbi1
- update to recent Fedora development RPM

* Tue Feb 28 2006 Matthias Hensler <matthias@wspse.de> - 5.0.29-1.cubbi1
- update to recent Fedora development RPM

* Sat Feb 25 2006 Matthias Hensler <matthias@wspse.de> - 5.0.28-1.cubbi1
- update to recent Fedora development RPM

* Fri Feb 24 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi3
- adding prelimary filewriter support. This will need an already running
  kernel with Suspend 2 support and the file location either specified
  in /etc/hibernate/hibernate.conf or on the kernel commandline.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi2
- try to resume Suspend 2 with the kernel commandline parameters before
  trying the default swapdevices. This is ugly, but the only way to
  workaround missing Suspend 2 support in the nash.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi1
- update to recent Fedora development RPM
- first try to resume swsusp, and then Suspend 2 no get rid of the ugly
  Suspend 2 warning.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi3
- include /etc/sysconfig/mkinitrd-suspend2 as well.
- try to resume from distributions swsusp when Suspend 2 fails.

* Tue Feb 21 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi2
- first try towards making suspend 2 working out of the box: do not rely
  on resume2 option on kernelcommandline, but use swapdevice automatically,
  just like Fedora does for swsusp.
- rename to mkinitrd-suspend2 and obsolete old package.
- create own build-directory instead of overwriting the one from mkinitrd.
- commandline parameters were renamed to --suspend2-userui and
  --suspend2-version, defaulting to "none" and "20200".

* Fri Feb 17 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi1
- update to recent Fedora development RPM

* Wed Feb 15 2006 Matthias Hensler <matthias@wspse.de> - 5.0.25-1.cubbi1
- update to recent Fedora development RPM

* Tue Feb 14 2006 Matthias Hensler <matthias@wspse.de> - 5.0.23-1.cubbi1
- update to recent Fedora development RPM

* Sun Feb 05 2006 Matthias Hensler <matthias@wspse.de> - 5.0.21-1.cubbi1
- update to recent Fedora development RPM

* Fri Feb 03 2006 Matthias Hensler <matthias@wspse.de> - 5.0.18-1.cubbi1
- update to recent Fedora development RPM
- deprecated --early-splash parameter, use
  --swsusp-userui=<none | auto | text | fb> instead, defaulting to "auto".
  "auto" will decide on installed userui binaries for the moment, switch
  to a configfile or parsing hibernate.conf/kernel parameters later
- bumped default software suspend version to 2.2

* Thu Jan 26 2006 Matthias Hensler <matthias@wspse.de> - 5.0.17-1.cubbi1
- update to recent Fedora development RPM

* Thu Jan 26 2006 Matthias Hensler <matthias@wspse.de> - 5.0.15-1.cubbi2
- fixed --early-splash (create /dev/fb0 node by calling mknod from initrd)

* Tue Dec 20 2005 Matthias Hensler <matthias@wspse.de> - 5.0.15-1.cubbi1
- update to recent Fedora development RPM

* Mon Oct 24 2005 Matthias Hensler <matthias@wspse.de> - 5.0.8-1.cubbi1
- update to recent Fedora development RPM

* Mon Oct 24 2005 Matthias Hensler <matthias@wspse.de> - 5.0.6-1.cubbi1
- update to recent Fedora development RPM

* Tue Oct 11 2005 Matthias Hensler <matthias@wspse.de> - 5.0.4-1.cubbi1
- update to recent Fedora development RPM
- build as noarch since this package only provides shellscripts, all
  archdepended programs are provided with mkinitrd.

* Mon Oct 03 2005 Matthias Hensler <matthias@wspse.de> - 5.0.3-1.cubbi1
- update to recent Fedora development RPM
- added parameter --swsusp-version to choose correct /proc directory

* Sun Sep 25 2005 Matthias Hensler <matthias@wspse.de> - 4.2.22-1.cubbi1
- update to recent Fedora development RPM

* Wed Aug 17 2005 Matthias Hensler <matthias@wspse.de> - 4.2.21-1.cubbi1
- build for new version from Fedora development without udev

* Sun Jul 10 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi6
- on SCSI/SATA start resume after scsi-modules

* Sat Jul 09 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi5
- made early fbsplash optional.

* Sun Jul 03 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi4
- start fbsplash early in resume: Paul Ionescu <i_p_a_u_l@yahoo.com>

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi3
- rebuild on FC4.

* Thu Jun 02 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi2
- added missing echo to activation of splashui

* Wed May 25 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi1
- initial build

